<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>
	<xsl:param name="message"/>
	<xsl:param name="pageTitle">Redundancy</xsl:param>
	<xsl:include href="namedtemplates.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:value-of select="$web_title"/>
				</title>
				<xsl:call-template name="common_imports"/>
			</head>
			<body onload="window.defaultStatus=''; StartFloat();">
				<xsl:call-template name="initROPage">
					<xsl:with-param name="pageName">advredundancy.py</xsl:with-param>
					<xsl:with-param name="message" select="$message"/>
				</xsl:call-template>
				<div id="displayresults">
					<h1 class="display">Redundancy</h1>
					<xsl:call-template name="mux_redundancy"/>
					<xsl:call-template name="encoder_redundancy"/>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="mux_redundancy">
		<div class="row">
			<div class="generalcell">
				<b>Mux Redundancy Role:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="/configuration/redundancy/mux/mode"/>
			</div>
		</div>
		<div class="row">
			<div class="generalcell">
				<b>Mux Redundancy Other IP:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="/configuration/redundancy/mux/inet_addr"/>
			</div>
		</div>
	</xsl:template>
	<xsl:template name="encoder_redundancy">
		<xsl:if test="/configuration/redundancy/encoder/mode">
			<div class="row">
				<div class="generalcell">
					<b>Encoder Redundancy Mode:</b>
				</div>
				<div class="largegeneralcell">
					<xsl:value-of select="/configuration/redundancy/encoder/mode"/>
				</div>
			</div>
		</xsl:if>
		<div class="row">
			<div class="generalcell">
				<b>Encoder Switch:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="/configuration/redundancy/encoder/switch"/>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="text()">
	</xsl:template>
</xsl:stylesheet>
